## ros-indigo-s3000-laser 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(s3000_laser)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  sensor_msgs
  tf
  message_generation
  self_test
  diagnostic_msgs
  diagnostic_updater
)

add_service_files(
   FILES
   enable_disable.srv
)

generate_messages(
   DEPENDENCIES
   s3000_laser
)

catkin_package(

  INCLUDE_DIRS include

  CATKIN_DEPENDS
    roscpp
    sensor_msgs
    tf
    message_generation  
    self_test
    diagnostic_msgs
    diagnostic_updater
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_executable(s3000_laser_node src/s3000_laser.cc src/sicks3000.cc src/SerialDevice.cc)

add_dependencies(s3000_laser_node s3000_laser_generate_messages_cpp)

target_link_libraries(s3000_laser_node
   ${catkin_LIBRARIES}
)


install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(TARGETS s3000_laser_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(FILES
  launch/s3000_laser.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-s3000-laser (0.1.1-0trusty) trusty; urgency=high

  * Added package to indigo
  * fixed array types
  * cleanup
  * code cleanup
  * sicks3000 class cleanup
  * minor cleanup
  * Merge pull request #4 <https://github.com/RobotnikAutomation/s3000_laser/issues/4> from RobotnikAutomation/serial-device-code-cleanup
    Serial device code cleanup
  * close port in destructor
  * cleanup serial device class interface
  * remove all unused code for clarity
    cleanup class interface
  * Merge pull request #3 <https://github.com/RobotnikAutomation/s3000_laser/issues/3> from chataign/parse-reflector-data
    Parse reflector data and new parameters
  * set queue size to 1
    clean laser scan at each iteration
  * allow configuration of the laser scan from ROS params
  * parse reflector data
  * moved DTOR to header to allow use from other files
  * parse reflector data
  * make baud rate and topic name configurable. support for 0.5deg resolution
  * S30b support added. Minor fixes
  * Adding Changelog file
  * Adding packages dependencies and removing unused includes
  * Modifying package description for Hydro branch
  * Adding files for Hydro
  * Initial commit
  * Contributors: AliquesTomas, Dani Carbonell, Francois Chataigner, RobotnikRoman, Roman Navarro Garcia, francois

 -- Roberto Guzmán <rguzman@robotnik.es>  Wed, 03 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-s3000-laser
Section: misc
Priority: extra
Maintainer: Roberto Guzmán <rguzman@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-self-test, ros-indigo-sensor-msgs, ros-indigo-tf
Homepage: http://wiki.ros.org/s3000_laser
Standards-Version: 3.9.2

Package: ros-indigo-s3000-laser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-self-test, ros-indigo-sensor-msgs, ros-indigo-tf
Description: The s3000_laser package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-s3000-laser//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
